# Class ServerStatus

java.lang.Object
org.mariadb.jdbc.util.constants.ServerStatus

public class ServerStatus extends Object
Server status flags

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`AUTOCOMMIT`
autocommit
`static final short`
`CURSOR_EXISTS`
cursor exists
`static final short`
`DB_DROPPED`
database dropped
`static final short`
`IN_TRANSACTION`
is in transaction
`static final short`
`LAST_ROW_SENT`
last row sent
`static final short`
`METADATA_CHANGED`
metadata changed
`static final short`
`MORE_RESULTS_EXISTS`
more result exists (packet follows)
`static final short`
`NO_BACKSLASH_ESCAPES`
escape type
`static final short`
`PS_OUT_PARAMETERS`
resultset contains output parameters
`static final short`
`QUERY_NO_GOOD_INDEX_USED`
no good index was used
`static final short`
`QUERY_NO_INDEX_USED`
no index was used
`static final short`
`QUERY_WAS_SLOW`
query was slow
`static final short`
`SERVER_SESSION_STATE_CHANGED`
session state change (OK_Packet contains additional data)

## Constructor Summary

Constructors
Constructor
Description
`ServerStatus()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IN_TRANSACTION

public static final short IN_TRANSACTION
is in transaction

See Also:
  - Constant Field Values

### AUTOCOMMIT

public static final short AUTOCOMMIT
autocommit

See Also:
  - Constant Field Values

### MORE_RESULTS_EXISTS

public static final short MORE_RESULTS_EXISTS
more result exists (packet follows)

See Also:
  - Constant Field Values

### QUERY_NO_GOOD_INDEX_USED

public static final short QUERY_NO_GOOD_INDEX_USED
no good index was used

See Also:
  - Constant Field Values

### QUERY_NO_INDEX_USED

public static final short QUERY_NO_INDEX_USED
no index was used

See Also:
  - Constant Field Values

### CURSOR_EXISTS

public static final short CURSOR_EXISTS
cursor exists

See Also:
  - Constant Field Values

### LAST_ROW_SENT

public static final short LAST_ROW_SENT
last row sent

See Also:
  - Constant Field Values

### DB_DROPPED

public static final short DB_DROPPED
database dropped

See Also:
  - Constant Field Values

### NO_BACKSLASH_ESCAPES

public static final short NO_BACKSLASH_ESCAPES
escape type

See Also:
  - Constant Field Values

### METADATA_CHANGED

public static final short METADATA_CHANGED
metadata changed

See Also:
  - Constant Field Values

### QUERY_WAS_SLOW

public static final short QUERY_WAS_SLOW
query was slow

See Also:
  - Constant Field Values

### PS_OUT_PARAMETERS

public static final short PS_OUT_PARAMETERS
resultset contains output parameters

See Also:
  - Constant Field Values

### SERVER_SESSION_STATE_CHANGED

public static final short SERVER_SESSION_STATE_CHANGED
session state change (OK_Packet contains additional data)

See Also:
  - Constant Field Values

## Constructor Details

### ServerStatus

public ServerStatus()